Bug 1571368 - Need to enable Ansible Engine repository for upgrades to 6.4
Summary: Need to enable Ansible Engine repository for upgrades to 6.4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Kavita
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1496794
TreeView+ depends on / blocked
 
Reported: 2018-04-24 15:36 UTC by Mike McCune
Modified: 2020-03-05 17:27 UTC (History)
8 users (show)

Fixed In Version: foreman_maintain-0.2.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-05 17:27:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23388 Normal Closed Need to enable Ansible Engine repository for upgrades to 6.4 2020-03-05 13:27:16 UTC
Red Hat Bugzilla 1624085 None None None 2019-07-03 09:11:04 UTC

Internal Links: 1624085

Description Mike McCune 2018-04-24 15:36:19 UTC
With Satellite 6.4 we are going to be dependent on the new Ansible Engine repository with an ID that I will supply shortly.

We need to enable this repository when performing upgrades from 6.3 -> 6.4 so the new Ansible feature will be usable.

This is required for 6.4

Comment 1 Mike McCune 2018-04-24 15:40:23 UTC
Repo ID is:

rhel-7-server-ansible-2-rpms

Comment 4 Ivan Necas 2018-04-25 07:18:49 UTC
Created redmine issue http://projects.theforeman.org/issues/23388 from this bug

Comment 6 pm-sat@redhat.com 2018-04-25 16:25:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23388 has been resolved.

Comment 9 Rich Jerrido 2018-05-07 07:13:33 UTC
Docs.

Comment 11 Kavita 2019-06-18 10:15:13 UTC
Available in foreman-maintain version >= 0.2.0. Moving to ON_QA

Comment 12 Nikhil Kathole 2019-06-24 06:01:16 UTC
VERIFIED

Version tested:
rubygem-foreman_maintain-0.4.3-1.el7sat.noarch

foreman-maintain enables 
'rhel-7-server-ansible-2.6-rpms', 
'rhel-7-server-rpms',
'rhel-7-server-satellite-6.4-rpms',
'rhel-7-server-satellite-maintenance-6-rpms',
'rhel-7-server-satellite-tools-6.4-rpms', 
'rhel-server-rhscl-7-rpms'

Comment 13 Bryan Kearney 2020-03-05 17:27:47 UTC
The current version of foreman_maintain includes this fix.


Note You need to log in before you can comment on or make changes to this bug.